%global _hardened_build 1
%global _default_patch_fuzz 2
%define rev 11578
Name:		oscam
Version:	1.20
Release:	0.r%{rev}
Summary:	Open Source Conditional Access Module
License:	GPL
URL:		http://www.streamboard.tv/oscam/
Source0:	%{name}-r%{rev}.tar.xz
Source1:	%{name}.service
Patch0:		oscam-systemd.patch
Patch1:		oscam-conax-cwpk.patch
BuildRequires:	pcsc-lite-devel libusb1-devel openssl-devel systemd-devel

%description
OSCam: Open Source CAM
Copyright (C) 2009-2013 OSCam developers

OSCam is based on the Streamboard mp-cardserver 0.9d by dukat and
has been extended and worked on by many more since then.

%prep
%setup -n %{name}-r%{rev} # [-D] [-T] [-a n] [-b n]
%patch0 -p1 -b .systemd
%patch1 -p1 -b .cwpk

%build
USE_LIBUSB=1 USE_PCSC=1 ./config.sh \
    --disable all \
    --enable \
        WEBIF \
        WEBIF_LIVELOG \
        WITH_SSL \
        IRDETO_GUESSING \
        CS_ANTICASC \
        WITH_DEBUG \
        MODULE_MONITOR \
        WITH_LB \
        CS_CACHEEX \
        CW_CYCLE_CHECK \
        CLOCKFIX \
        IPV6SUPPORT \
        WITH_EMU \
        WITH_SYSTEMD \
    --enable protocols \
    --enable readers \
    --enable \
        CARDREADER_PHOENIX \
        CARDREADER_SC8IN1 \
        CARDREADER_MP35 \
        CARDREADER_SMARGO \
        CARDREADER_DB2COM \
        CARDREADER_STINGER

make \
    USE_LIBUSB=1 \
    USE_PCSC=1 \
    CONF_DIR=%{_sysconfdir}/%{name} \
    OSCAM_BIN=%{name} \
    CC_OPTS="%{optflags}"

%install
%{__install} -m 0755 -d \
    %{buildroot}%{_sbindir} \
    %{buildroot}%{_mandir}/man{1,5} \
    %{buildroot}%{_sysconfdir}/%{name} \
    %{buildroot}%{_unitdir}
%{__install} -m 0755 %{name}.debug %{buildroot}%{_sbindir}/%{name}
%{__install} -m 0644 Distribution/doc/man/%{name}.1 %{buildroot}%{_mandir}/man1
%{__install} -m 0644 Distribution/doc/man/%{name}.*.5 %{buildroot}%{_mandir}/man5
%{__install} -m 0644 %{S:1} %{buildroot}%{_unitdir}/
%{__install} -m 0644 /dev/null %{buildroot}%{_sysconfdir}/%{name}/oscam.conf

%clean
cd ..
%{__rm} -rf %{buildsubdir}
[[ "%{buildroot}" != "/" ]] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README README.config Distribution/doc/example
%{_sbindir}/%{name}
%{_mandir}/*/*
%{_unitdir}/*
%dir %{_sysconfdir}/%{name}
%config(missingok,noreplace) %{_sysconfdir}/%{name}/*

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service
